We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6025 - Fatal error with HTML galley image view function
Fatal error with HTML galley image view function
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Submissions and Publishing
2.3.3
PC Mac OS X 10.6
: P5 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-07 10:46 PDT by Matthew Crider
Modified: 2010-10-29 17:46 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS 2.3.3-2 (753 bytes, patch)
2010-10-25 12:13 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Crider 2010-10-07 10:46:31 PDT
The handler function used to view images (i.e. the one that is called to display images in an HTML galley) throws a fatal error when viewing a proof for an unpublished article.  Once the article is published, everything seems to be okay.  This bug seems to have been around for quite some time (at least to 2.3).

[07-Oct-2010 10:36:55] PHP Fatal error:  Call to a member function getId() on a non-object in /Applications/MAMP/htdocs/dev/ojs/pages/article/ArticleHandler.inc.php on line 332
Comment 2 Alec Smecher 2010-10-25 12:13:01 PDT
Created attachment 3294 [details]
Patch against OJS 2.3.3-2

(Attached patch is equivalent to Matt's link in comment #1.)
Comment 3 Alec Smecher 2010-10-29 17:46:10 PDT
Committed to OJS 2.3.3-3